 i386/Kconfig         |    5 +++++
 i386/kernel/Makefile |    4 +---
 2 files changed, 6 insertions(+), 3 deletions(-)

diff -puN arch/i386/Kconfig~srat-config-fix arch/i386/Kconfig
--- 25/arch/i386/Kconfig~srat-config-fix	2003-02-19 21:30:38.000000000 -0800
+++ 25-akpm/arch/i386/Kconfig	2003-02-19 21:30:38.000000000 -0800
@@ -75,6 +75,11 @@ config X86_SUMMIT
 
 	  If you don't have one of these computers, you should say N here.
 
+config ACPI_SRAT
+	bool
+	default y
+	depends on NUMA && X86_SUMMIT
+
 config X86_BIGSMP
 	bool "Support for other sub-arch SMP systems with more than 8 CPUs"
 	help
diff -puN arch/i386/kernel/Makefile~srat-config-fix arch/i386/kernel/Makefile
--- 25/arch/i386/kernel/Makefile~srat-config-fix	2003-02-19 21:30:38.000000000 -0800
+++ 25-akpm/arch/i386/kernel/Makefile	2003-02-19 21:30:38.000000000 -0800
@@ -29,9 +29,7 @@ obj-$(CONFIG_X86_NUMAQ)		+= numaq.o
 obj-$(CONFIG_EDD)             	+= edd.o
 obj-$(CONFIG_MODULES)		+= module.o
 obj-y				+= sysenter.o
-ifdef CONFIG_NUMA
-obj-$(CONFIG_X86_SUMMIT) 	+= srat.o
-endif
+obj-$(CONFIG_ACPI_SRAT) 	+= srat.o
 
 ifdef CONFIG_X86_REMOTE_DEBUG
 GDBSTART=gdbstart

_
